//========================================================= file = help.c ====
//=  Help function for REMOTE++                                              =
//============================================================================
//=  Contains: help() - Help for Remote++ program                            =
//=--------------------------------------------------------------------------=
//=  History:  AMH (11/18/02) - Genesis (from rhelp.c by KJC)                =
//============================================================================    
#define EXTERNAL              //This is an external file(used in remotepp.h) 

//----Includes----------------------------------------------------------------
#include "remotepp.h" 
                                                       
//============================================================================
//= Help function                                                            =
//============================================================================
void help(void)
{
  printf("=================================================================\n");
  printf("= Remote++                                                      =\n");
  printf("=================================================================\n");
  printf("= Usage is 'remotepp command options'. 			  =\n");
  printf("=       							  =\n");
  printf("= Commands and options are:                                     =\n");  
  printf("= HELP -- this screen                                           =\n");
  printf("= TRANSFER file_name host_name -- transfers file file_name to   =\n");
  printf("=         host host_name                                        =\n");
  printf("= RUN -- to run the programs in joblist.txt on machines in     =\n");
  printf("=         hostlist.txt                                          =\n");
  printf("=                                                               =\n");
  printf("= Example: remotepp RUN will run the jobs in the joblist.txt    =\n");
  printf("=          on the machines in hostlist.txt and provide the      =\n");
  printf("=          status information in status.txt                     =\n");
  printf("=                                                               =\n");
  printf("= See readme.txt for further usage instructions and help. The   =\n");
  printf("= readme.txt describes the format of the required joblist.txt   =\n");
  printf("= and hostlist.txt files.                                       =\n");
  printf("=================================================================\n");
  printf("= Author: Ashley Hopkins (amhopki2@csee.usf.edu)                =\n");
  printf("=================================================================\n");
}     
